FX Rate Update API

This API is used to add or update the bank ratesfor any currency pairfor the purpose of currency conversion at the time of transaction processing. The updated rate will be used for transactions as per configuration in Card Management> Institution Parameter Setup> Currency Exchange Rates Mapping screen.

NOTE: While adding or updating the bank rates for a currency pair, Credit+ Issuing compares the bank rates with the latest Pine Labs rates. If the variance is greater than configured percent (default 10 percent), then Credit+ Issuing rejects the record with an error message.

HTTP Status and Response Status Matrix

  • HTTP Code: This is the response status code issued by a server in response to a client's request made to the server.
  • Error Code: This is the error code returned by Credit+ Issuing application in the ‘code’ field of the response message indicating if the request was processed successfully or failed.
  • Reason: This is the description of the error code returned by Credit+ Issuing application.
HTTP CodeError CodeReason
201OKThe request has been fulfilled and resulted in a new resource being created.
400MISSING_REQUIRED_FIELDError example: Missing Required Field 'baseCurrency'.
400INVALID_FIELD_FORMATInvalid Field Format Base Currency.
400INVALID_FIELD_LENGTHProgram Code Size must be between 2 and 10.
400INVALID_PROGRAM_CODEProgram code 'XYZ' must be part of multi-currency program.
400INVALID_CURRENCY_CODECurrency code 'XYZ' is not configured for your institution.
400INVALID_EFFECTIVE_FROMEffective From should be greater than institution date or less than institution date + 6 months.
400INVALID_CURRENCYCODE+_EFFECTIVE_FROM_PAIRS_COMBORequested pairs can have same currency but effective date should be different.
400ISE40011Tolerance Refund unit value is greater than tolerance refund unit configured at institution level.
400ISE40011Tolerance load unit value is greater than tolerance load unit configured at institution level.
400ISE40011Minimum value for 'Tolerance Load/Refund' is 0.
400HIGH_BUY_RATE_VARIANCEBuy rate variance with Pine Labs rate is more than x%. Pine Labs buy rate: 'XYZ'
400HIGH_MID_RATE_VARIANCEMid rate variance with Pine Labs rate is more than x%. Pine Labs mid rate: 'XYZ'
400HIGH_SELL_RATE_VARIANCESell rate variance with Pine Labs rate is more than x%. Pine Labs sell rate: 'XYZ'
400NO_RECORD_FOUND_FOR_RATE_COMPARISONNo record found for rate variance comparison
403PERMISSION_DENIEDIt seems you don't have permission to access this API.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

API consumer must share institution_id (bank code) as a path parameter for API requests.

Body Params
fxRates
array of objects

JSON array containing foreign currency exchange rate details.

fxRates
Headers
string
^[a-zA-Z0-9-]{1,36}$

API consumer must share unique X-MC-Correlation-ID in HTTP header for each API request. It is recommended to generate UUID (maximum length: 36) that is compliant with RFC 4122. If it is not shared, then the system generates a unique value for each request. X-MC-Correlation-ID must be unique for each request, Maximum supported length – 36 alphanumeric characters.

string

API consumer can share X-MC-Source (optional field) in HTTP header for API requests. For the list of Source values, see the Pre-conditions for HTTP Header of REST API topic in the Pre-requisite for Rest API section.

string
enum

API consumer can share X-MC-Channel in HTTP header for API requests. It is the network or channel through which request is routed. The only available value for Channel is API.

Allowed:
string
required
length ≤ 50

API consumer must share X-MC-Client-Client-Application-User-ID in HTTP header for API requests. This mandatory parameter is a unique identifier to track actual user performing action at the client's end. This field is used only for logging purpose. The maximum length is 50.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*